Bug 485207 - Review Request: perl-Test-Assert - Assertion methods for those who like JUnit
Review Request: perl-Test-Assert - Assertion methods for those who like JUnit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 07:04 EST by Allisson Azevedo
Modified: 2012-03-24 15:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 08:16:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-12 07:04:49 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-Test-Assert/perl-Test-Assert.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-Test-Assert/perl-Test-Assert-0.0501-1.fc10.src.rpm

Description: This class provides a set of assertion methods useful for writing tests.
The API is based on JUnit4 and Test::Unit and the methods die on failure.
Comment 1 Parag AN(पराग) 2009-02-12 08:02:38 EST
Review:
+ package builds in mock (rawhide i386).
koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1121482
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f14e7aafc0940cc6d02ead992d92d823  Test-Assert-0.0501.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=4, Tests=41,  1 wallclock secs ( 0.04 usr  0.01 sys +  0.50 cusr  0.05 csys =  0.60 CPU)

+ Package perl-Test-Assert-0.0501-1.fc11 ->
Provides: perl(Exception::Assertion) = 0.05 perl(Test::Assert) = 0.05
Requires: perl >= 0:5.006 perl(Exception::Base) perl(Exception::Base) >= 0.21 perl(Exporter) perl(constant) perl(constant::boolean) perl(strict) perl(warnings)

Suggestions:
1)Make sure to filter one of the following Requires:
perl(Exception::Base) perl(Exception::Base) >= 0.21

APPROVED.
Comment 2 Allisson Azevedo 2009-02-12 08:10:30 EST
New Package CVS Request
=======================
Package Name: perl-Test-Assert
Short Description: Assertion methods for those who like JUnit
Owners: allisson
Branches: F-9 F-10
Comment 3 Kevin Fenzi 2009-02-13 01:51:10 EST
cvs done.
Comment 4 Paul Howarth 2012-03-09 09:53:45 EST
Package Change Request
======================
Package Name: perl-Test-Assert
New Branches: el6
Owners: pghmcfc
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-03-09 10:05:01 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-03-09 11:35:15 EST
perl-Test-Assert-0.0504-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-Assert-0.0504-2.el6
Comment 7 Petr Pisar 2012-03-12 04:32:49 EDT
Package Change Request
======================
Package Name: perl-Test-Assert
New Branches: f15 f16 f17
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 8 Gwyn Ciesla 2012-03-12 08:00:31 EDT
Done.
Comment 9 Fedora Update System 2012-03-24 15:04:32 EDT
perl-Test-Assert-0.0504-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.